No more security patches for OS X El Capitan, time to upgrade

With yesterday’s software updates El Capitan fell off the security patch bandwagon, as expected. Apply historically only patches software for the current software plus two versions prior. So that means Mojave, High Sierra, and Sierra. The good news though, is that if you have a compatible computer software upgrades from Apple are free.

Not sure what version you are running? Here’s how to find out. Don’t assume that you’re on the latest version because your computer automatically updates itself. Normally auto-update only installs updates for your current software. Usually it will offer to upgrade you to a new version once, but if you dismiss the offer to upgrade it doesn’t persist. You then have to choose to get it from the Mac App Store.

If you have a computer running El Capitan still I highly recommend you upgrade to a newer version if possible, or retire your computer if it cannot be upgraded. As security holes are found, Apple will no longer patch El Capitan. And at some point shortly after that software developers will stop making their software compatible which you’ll first notice means your web browser will stop functioning properly on the internet.

If you insist on keeping an obsolete computer please be careful and be aware of the risks. You should at the very least stop using Safari, since that’s communicating directly with the internet and is no longer going to get updated. Firefox is a good alternative because they often support system software for two years longer than Apple does. Google Chrome only maintains support about one year after.

As an alternative to completely retiring the computer, you can install an alternate OS such as Linux, but the specifics of that are far more than I could cover in this post.

For most people I would suggest upgrading to macOS Mojave if your Mac supports it. Mojave will receive security patches until fall of 2021. High Sierra will get security patches until fall of 2020, and Sierra until fall of 2019.

To find out what model and year Mac you have go to the Apple menu > About this Mac.

macOS Mojave runs on 2012 or later Macs (or 2010 Mac Pro desktops with an upgraded Metal-capable graphics card):

macOS Mojave
macOS Mojave
Developer: Apple
Price: Free

macOS High Sierra can run on any:

  • MacBook late 2009 or later
  • MacBook Air late 2010 or later
  • MacBook Pro mid 2010 or later
  • Mac mini mid 2010 or later
  • iMac late 2009 or later
  • Mac Pro mid 2010 or later

Download High Sierra on the Mac App Store.

macOS Sierra has the same requirements as High Sierra, so if you can I’d suggest going to High Sierra because it will receive security patches for longer. But if for some reason you’d rather move to Sierra you can download Sierra on the Mac App Store.